#!/bin/sh

#
# Remove old HAK packages
#

OLD_PACKAGES="host_attach-iscsi host_attach-fc host_attach_emulex host_attach_qlogic host_attach_iscsi"

for PKG in $OLD_PACKAGES; do
    rpm -q $PKG > /dev/null 2>&1
    if [ "$?" = "0" ]; then
        # FOUND!
        echo "Removing legacy package $PKG"
        rpm -e $PKG
    fi
done

if [ -f /etc/udev/rules.d/45-ibm-xiv.rules -a -f /etc/redhat-release ]; then
    grep -q 'release 5' /etc/redhat-release
    echo "=====================================================================
NOTE: /dev/xiv-2810 -> /dev/xiv transition (RHEL5 only)
=====================================================================
This version introduces the /dev/xiv/ hierarchy, which replaces the older
/dev/xiv-2810 hierarchy. The new hierarchy uses decimal numbering (just like 
the Hyper-Scale Manager and xiv_devlist) and provides constant device names. e.g.:
/dev/xiv/by-machine/MN00022/194/mpath

Please try to avoid using /dev/xiv-2810, for it will not be supported starting
with the next MAJOR version of HAK.

For more info about this change, see the following documents:
- IBM Storage Host Attachment Guide for Linux 1.5.x
- IBM Storage Host Attachment Release Notes for Linux 1.5.x
=====================================================================" 1>&2
fi
